## iw-0.9.4.tar.gz

=== Makefile ===
-include .config

MAKEFLAGS += --no-print-directory

MKDIR ?= mkdir -p
INSTALL ?= install
PREFIX ?= /usr
CC ?= "gcc"
CFLAGS += -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs -fno-strict-aliasing -fno-common -Werror-implicit-function-declaration `pkg-config --cflags libnl-1`
CFLAGS += -O2 -g
LDFLAGS += `pkg-config --libs libnl-1`
NLVERSION = 1.0

OBJS = iw.o info.o phy.o interface.o station.o util.o mpath.o reg.o
ALL = iw

ifeq ($(V),1)
Q=
NQ=true
else
Q=@
NQ=echo
endif

all: version_check $(ALL)

version_check:
	@if ! pkg-config --atleast-version=$(NLVERSION) libnl-1; then echo "You need at least libnl version $(NLVERSION)"; exit 1; fi


version.h: version.sh
	@$(NQ) ' GEN  version.h'
	$(Q)./version.sh

%.o: %.c iw.h version.h
	@$(NQ) ' CC  ' $@
	$(Q)$(CC) $(CFLAGS) -c -o $@ $<

iw:	$(OBJS)
	@$(NQ) ' CC  ' iw
	$(Q)$(CC) $(LDFLAGS) $(OBJS) -o iw

check:
	$(Q)$(MAKE) all CC="REAL_CC=$(CC) CHECK=\"sparse -Wall\" cgcc"

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: iw iw.8.gz
	@$(NQ) ' INST iw'
	$(Q)$(MKDIR) $(DESTDIR)$(PREFIX)/bin/
	$(Q)$(INSTALL) -m 755 -o root -g root -t $(DESTDIR)$(PREFIX)/bin/ iw
	@$(NQ) ' INST iw.8'
	$(Q)$(MKDIR) $(DESTDIR)$(PREFIX)/share/man/man8/
	$(Q)$(INSTALL) -m 644 -o root -g root -t $(DESTDIR)$(PREFIX)/share/man/man8/ iw.8.gz

clean:
	$(Q)rm -f iw *.o *~ *.gz version.h *-stamp

=== debian/changelog ===
iw (0.9.2) unstable; urgency=low

  * try to work around x86_64 problem

 -- Johannes Berg <johannes@sipsolutions.net>  Wed, 17 Sep 2008 00:20:45 +0200

iw (0.9.1) unstable; urgency=low

  * Initial release.

 -- Johannes Berg <johannes@sipsolutions.net>  Tue, 16 Sep 2008 23:06:40 +0200

=== debian/control ===
Source: iw
Section: net
Priority: optional
Maintainer: Johannes Berg <johannes@sipsolutions.net>
Build-Depends: debhelper (>= 7), libnl-dev (>= 1.1), pkg-config (>= 0.22)
Standards-Version: 3.8.0
Homepage: http://wireless.kernel.org/en/users/Documentation/iw

Package: iw
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for configuring Linux wireless devices
 This package contains the `iw' tool which allows you to
 configure and show information about wireless networking.
 The tool is currently mainly used for drivers based on
 the mac80211 stack but work is under way to make it useful
 for other drivers as well.
Tag: admin::kernel, implemented-in::c, interface::commandline, network::configuration, role::program, scope::utility, use::configuring
